<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/

class search_main extends ModuleTools
{
	public function __construct()
	{
		if (!$this->_checkConfig()) return;
		
		self::_setTpl('default');
		
		$search=Factory::create('search.search');
		if (!empty($_GET['type'])) $search->setType($_GET['type']);
		if (!empty($_GET['sort'])) $search->setSort($_GET['sort']);
		//если не указаны никакие параметры, то ставим ALL чтобы отметить все чекбоксы
		if (isset($_GET['module']) && is_array($_GET['module']) && !$_GET['all']) $search->setModulesToSearch($_GET['module']);
		
		self::_assign("modules", $search->getSearchModules());
		
		$page=(!empty($_GET['var1']))?intval($_GET['var1']):1;
		self::_assign('search_result', $search->getResult($_GET['search'], $page));
		self::_assign("search_params", $search->getUrlParams());
		self::_assign("pager", $search->getPager());
	}
	
	protected function _checkConfig()
	{
		if (!config::get('search_modules')) return self::_error(_m('Поиск запрещен! Проверьте настройки модуля поиска.'));
		return true;
	}
}